Subject: Re: [PATCH] Document `rebase.forkpoint` in rebase man page

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Sep 2021 09:07:18 -0700

[email-masked] writes:

> From: Wesley Schwengle <[email-masked]>
>
> The configuration option `rebase.forkpoint' is only mentioned in the man
> page of git-config(1). Since it is a configuration for rebase, mention
> it in the documentation of rebase at the --fork-point/--no-fork-point
> section. This will help users set a preferred default for their
> workflow.
>
> Signed-off-by: Wesley Schwengle <[email-masked]>
> ---
>  Documentation/git-rebase.txt | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/Documentation/git-rebase.txt b/Documentation/git-rebase.txt
> index 506345cb0e..c116dbf4bb 100644
> --- a/Documentation/git-rebase.txt
> +++ b/Documentation/git-rebase.txt
> @@ -446,7 +446,8 @@ When --fork-point is active, 'fork_point' will be used instead of
>  ends up being empty, the <upstream> will be used as a fallback.
>  +
>  If <upstream> is given on the command line, then the default is
> -`--no-fork-point`, otherwise the default is `--fork-point`.
> +`--no-fork-point`, otherwise the default is `--fork-point`. See also
> +`rebase.forkpoint` in linkgit:git-config[1].
>  +
>  If your branch was based on <upstream> but <upstream> was rewound and
>  your branch contains commits which were dropped, this option can be used

I still think "the variable gives the default, otherwise the
presence of <upstream> on the command line affects which one is used
as the default" presentation order is better, but the above is a
strict improvement over the current message, so let's take it.

Thanks.